#ifndef _KGR_PATCH_BSC1173666_H
#define _KGR_PATCH_BSC1173666_H

#if IS_ENABLED(CONFIG_MWIFIEX)

int kgr_patch_bsc1173666_init(void);
void kgr_patch_bsc1173666_cleanup(void);


struct mwifiex_ie;

int kgrp_mwifiex_update_vs_ie(const u8 *ies, int ies_len,
				struct mwifiex_ie **ie_ptr, u16 mask,
				unsigned int oui, u8 oui_type);

#define KGR_PATCH_BSC1173666_FUNCS					\
	KGR_PATCH_OBJ(mwifiex_update_vs_ie, kgrp_mwifiex_update_vs_ie,	\
		      "mwifiex"),					\

#else /* !IS_ENABLED(CONFIG_MWIFIEX) */

static inline int kgr_patch_bsc1173666_init(void) { return 0; }

static inline void kgr_patch_bsc1173666_cleanup(void) {}

#define KGR_PATCH_BSC1173666_FUNCS

#endif /* IS_ENABLED(CONFIG_MWIFIEX) */
#endif /* _KGR_PATCH_BSC1173666_H */
